curl --request DELETE \
--url https://api.netzfabrik.com/auth/passkeys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.netzfabrik.com/auth/passkeys/{id}"
payload = {
"password": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>', code: '<string>'})
};
fetch('https://api.netzfabrik.com/auth/passkeys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/auth/passkeys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'password' => '<string>',
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/auth/passkeys/{id}"
payload := strings.NewReader("{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.netzfabrik.com/auth/passkeys/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/auth/passkeys/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}Passkey löschen
Verlangt als Nachweis das Kontopasswort ({"password": "…"}) oder einen aktuellen zweiten Faktor ({"code": "123456"}) im Body. Entfernt ein Proxy den Body von DELETE-Anfragen, werden alternativ die Header X-Confirm-Password bzw. X-Confirm-Code akzeptiert.
curl --request DELETE \
--url https://api.netzfabrik.com/auth/passkeys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.netzfabrik.com/auth/passkeys/{id}"
payload = {
"password": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>', code: '<string>'})
};
fetch('https://api.netzfabrik.com/auth/passkeys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/auth/passkeys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'password' => '<string>',
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/auth/passkeys/{id}"
payload := strings.NewReader("{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.netzfabrik.com/auth/passkeys/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/auth/passkeys/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"password\": \"<string>\",\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}Authorizations
Access-Token aus POST /auth/login (E-Mail und Passwort), gesendet als Authorization: Bearer <token>.
Das Token ist zeitlich begrenzt gültig. Mit dem refresh_token aus derselben Antwort holt POST /auth/token/refresh ein neues Token-Paar, ohne das Passwort erneut zu senden; POST /auth/token/invalidate macht den Refresh-Token beim Abmelden ungültig.
Ist für das Konto ein zweiter Faktor aktiv oder vorgeschrieben, liefert der Login statt des Token-Paars mfaRequired: true bzw. mfaEnrollmentRequired: true und ein kurzlebiges preAuthToken. Mit diesem Token (ebenfalls als Bearer) wird der zweite Faktor über POST /auth/2fa/verify bestätigt; erst danach gibt es das volle Token-Paar.
Body
Account password or a current TOTP/recovery code
Response
Passkey resource deleted
Was this page helpful?